TestFailure Class Reference
Inheritance diagram for TestFailure:

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| Error types or categories. More...
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Detailed Description

Definition at line 36 of file datatest.cpp.

The documentation for this class was generated from the following file:

- datatest.cpp